body {
    overflow-x: hidden;
}



/* nav */

/* side images */

.side_image_1 {
    width: 200px;
    position: absolute;
    top: -45px;
    left: -30px;
    z-index: -1;
}

.side_image_2 {
    width: 200px;
    position: absolute;
    right: 19px;
    bottom: 0px;
    z-index: -1;
}

/* category_section */
.category_section {
    display: flex;
    align-items: center;
    width: 70%;
    margin: 10px auto;
    justify-content: center;
    gap: 20px;
}

/* custom ordering */
.custom-ordering {
    border-radius: 50px;
    width: 200px;
    height: 46px;
    transition: all 0.5s 0.1s linear;
}

.custom-ordering-selected-div {
    display: flex;
    align-items: center;
    text-align: center;
    border-radius: 50px 11px 55px 19px;
    background-color: var(--btn-color);
    padding: 5px;
    position: relative;
    overflow: hidden;
}

.custom-ordering-svg {
    display: block;
    height: 100%;
    width: 20%;
    max-width: 30px;
    position: absolute;
    right: 0px;
    display: inline-block;
    background-color: var(--gold-color);
    -webkit-mask: url(../../svg/nav.svg) center/contain no-repeat;
    mask: url(../../svg/nav.svg) center/contain no-repeat;
    transform: rotate(90deg);
    transition: all 0.5s 0.1s linear;
}

.custom-ordering:hover {
    height: 200px;
}

.custom-ordering:hover .custom-ordering-svg {
    transform: rotate(270deg);

}

.custom-ordering:hover .custom-ordering-ul {
    visibility: visible;
    height: 150px;
    opacity: 1;
}

.custom-ordering-selected {
    width: 80%;
    height: 100%;
    display: block;
    color: black;
    padding: 2px;
}




.custom-ordering-ul {
    width: 150px;
    height: 0px;
    padding: 20px 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    background: var(--btn-color);
    border-radius: 70px 25px 92px 52px;
    /* bottom: -330%; */
    visibility: hidden;
    opacity: 0;
    transition: all 0.5s 0.1s linear;
    position: absolute;
}

.custom-ordering-ul li a::after {
    content: "";
    width: 130%;
    height: 120%;
    position: absolute;
    background: var(--gold-color);
    border-radius: 24px;
    left: 50%;
    transform: translateX(-50%) scale(0%);
    z-index: -1;
    top: 0px;
    transition: all 0.4s 0.1s ease;
}

.custom-ordering-ul li a {
    display: block;
    width: 100%;
    color: var(--dark-text-colors);
    position: relative;
    z-index: 0;
    transition: all 0.4s 0.1s ease;
}

.custom-ordering-ul li a:hover {
    color: var(--light-text-colors);
}

.custom-ordering-ul li a:hover::after {
    transform: translateX(-50%) scale(1);
}

/* category info */
.categurie_info_1,
.categurie_info_2 {
    text-shadow: var(--gold-text-shadow);
}

/* search box */

.ajax-search {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0px;
    background-color: var(--btn-color);
    border-radius: 20px;
    padding: 7px;
}

#search-product {
    height: 30px;
    width: 0px;
    outline: none;
    border: none;
    transition: all 0.5s 0.1s linear;
    background: var(--btn-color);
}

.search-svg {
    display: block;
    height: 30px;
    width: 30px;
    max-width: 30px;
    background-image: url(../../svg/search.svg);
    background-position: center;
}

.ajax-search:hover #search-product {
    width: 160px;
    padding-left: 4px;
}

/* main */
.prodocts_page_main {
    width: 85%;
    position: relative;
    margin: 110px auto 25px auto;
    direction: ltr;
}

.shop_title_box {
    display: flex;
    align-items: center;
    justify-content: center;
}

.shop_title {
    font-size: 45px;
    text-align: center;
    text-shadow: var(--gold-text-shadow);

}

.coffee_cup {
    width: 200px;
    height: auto;
    position: absolute;
    top: -40px;
    right: 0px;
    z-index: -1;
}

.coffee_bag {
    width: 200px;
    height: auto;
    position: absolute;
    z-index: -1;
    bottom: 100px;
}

.products_container {
    width: 85%;
    margin: 60px auto;
    display: flex;
    align-items: center;
    justify-content: center;
    display: flex;
    align-items: center;
    gap: 40px;
    justify-content: center;
    flex-wrap: wrap;
}

.product_box {
    width: 230px;
    height: 300px;
    box-shadow: var(--product-box-shadow);
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
    /* background-image: url(../../main-images/footer-texture.png); */
    backdrop-filter: blur(5px);
    transition: all 0.4s 0.1s linear;
}

.product_box:hover {
    transform: scale(1.1);

}

.product_img_link {
    display: block;
    width: 170px;
    height: 170px;
    border-radius: 20px;
    overflow: hidden;
}

.product_intro_box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
}

.product_price .woocommerce-Price-amount bdi {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.product_intro_content_btnBox button {
    width: 150px;
    height: 30px;
}

.product_intro_content_btnBox button a {
    font-size: 16px;
}





/* pagination */
.paginationNav-container {
    width: 330px;
    position: relative;
    margin: 100px auto 78px auto;
}

.paginationNav {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 1px 2px 20px 10px var(--hover-color);
    height: 50px;
    border-radius: 25px;
    backdrop-filter: blur(2px);
    overflow: hidden;
    background: #f5deb375;
    direction: ltr;
}

.nav_bg {
    width: 100%;
    transform: rotate(90deg);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.paginationNavbtn {
    width: 20%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.6s 0.1s linear;
}

.paginationNavbtn:hover {
    background-color: #efc996a1;
}

.next-page,
.previous-page {
    width: 40%;
}

.current-page {
    background-color: var(--btn-color);
}

.first-page,
.current-page,
.next-page,
.previous-page {
    border-right: 1px solid white
}

.last-page {
    border-left: 1px soli white
}





.Related_link_box {
    width: 50%;
    margin: 0px auto 55px auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.Related_link {
    width: 100px;
    text-align: center;
    font-size: 18px;
    transform: scale(1);
    transition: all 0.5s 0.1s linear;
    color: var(--dark-text-colors);
    display: block;
}

.Related_link:hover {
    transform: scale(1.1);
}

@media(min-width:800px) {
    .category_section {
        width: 95%;
    }
}
@media(min-width:600px) {
    .shop_title_box {
        width: 70%;
        margin: 0px auto
    }
}

@media(max-width:530px) {
    .category_section {
        flex-direction: column;
    }

    .custom-ordering-ul {
        flex-direction: column;
        left: 50%;
        transform: translateX(-50%);
    }
}

@media(min-width:780px) {
    .coffee_cup {
        width: 250px;
    }

    .coffee_bag {
        width: 250px;
    }
}

@media(max-width:400px) {
    .paginationNav-container {
        width: 85%;
    }


}